using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Syncfusion.Windows.Forms.Grid;


namespace GDBG_2005
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
    }
    
    private DataTable GetTable()
    {
      DataTable dt = new DataTable("MyTable");

      int nCols = 5;
      int nRows = 10;

      for (int i = 0; i < nCols; i++)
        dt.Columns.Add(new DataColumn(string.Format("Col{0}", i)));

      for (int i = 0; i < nRows; ++i)
      {
        DataRow dr = dt.NewRow();
        for (int j = 0; j < nCols; j++)
        {
          dr[j] = string.Format("row{0} col{1}", i, j);
        }
        dt.Rows.Add(dr);
      }
      return dt;
    }

    private DataTable DropDownTable()
    {
      DataTable dt = new DataTable("DropTable");
      dt.Columns.Add("CustNo", typeof(int));
      dt.Columns.Add("CustName", typeof(string));

      dt.Rows.Add(new object[] { 101, "Ajay"});
      dt.Rows.Add(new object[] { 102, "Bob"});
      dt.Rows.Add(new object[] { 103, "Jack"});
      dt.Rows.Add(new object[] { 104, "Ken"});

      return dt;
    }

    private void Form1_Load(object sender, EventArgs e)
    {
        DataTable dt = GetTable();
        this.gridDataBoundGrid1.DataSource = dt;
        this.gridDataBoundGrid1.EnableAddNew = false;
        
        this.gridDataBoundGrid1.Binder.InternalColumns[2].StyleInfo.CellType = "GridListControl";
        this.gridDataBoundGrid1.Binder.InternalColumns[2].StyleInfo.DataSource = DropDownTable();
        this.gridDataBoundGrid1.Binder.InternalColumns[2].StyleInfo.DisplayMember = "CustName";
        this.gridDataBoundGrid1.Binder.InternalColumns[2].StyleInfo.ValueMember = "CustName";

        GridDropDownGridListControlCellRenderer gcr = (GridDropDownGridListControlCellRenderer)this.gridDataBoundGrid1.CellRenderers["GridListControl"];
        gcr.ListControlPart.ShowColumnHeader = false; // to hide the header in the dropdown
    }

  }
}